package com.ms.biz.service.impl;

import com.ms.dal.entity.DoudianMsgParseQueue;
import com.ms.biz.service.DoudianMsgParseQueueService;
import com.ms.dal.mapper.DoudianMsgParseQueueMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DoudianMsgParseQueueServiceImpl implements DoudianMsgParseQueueService{

    @Autowired
    private DoudianMsgParseQueueMapper doudianMsgParseQueueMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return doudianMsgParseQueueMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DoudianMsgParseQueue record) {
        return doudianMsgParseQueueMapper.insert(record);
    }

    @Override
    public int insertSelective(DoudianMsgParseQueue record) {
        return doudianMsgParseQueueMapper.insertSelective(record);
    }

    @Override
    public DoudianMsgParseQueue selectByPrimaryKey(Long id) {
        return doudianMsgParseQueueMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DoudianMsgParseQueue record) {
        return doudianMsgParseQueueMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DoudianMsgParseQueue record) {
        return doudianMsgParseQueueMapper.updateByPrimaryKey(record);
    }

}




